import { FormInstance } from 'antd';
import { IMchc_Doctor_Diagnoses, IMchc_Doctor_FirstVisitDiagnosisOutpatient, IMchc_Doctor_OutpatientHeaderInfo, TIdType, TIdTypeCompatible } from '@lm_fe/service';
import React from 'react';
import './index.less';
export interface IDoctorEnd_InitialProps {
    diagnosis_addon_btns?: (data?: IMchc_Doctor_FirstVisitDiagnosisOutpatient) => React.ReactNode;
    diagnosis_before_submit?: (submit: (values: any) => Promise<void>, data?: IMchc_Doctor_FirstVisitDiagnosisOutpatient, form?: FormInstance, sync?: Boolean) => Promise<void>;
    headerInfo: IMchc_Doctor_OutpatientHeaderInfo;
    changeScreening(b: boolean): void;
    changeDiagnosesTemplate(b: boolean): void;
    changePreeclampsia(b: boolean): void;
    changeSyphilis(b: boolean): void;
    changePreventPreeclampsia(b: boolean): void;
    setDiagnosesList(l: IMchc_Doctor_Diagnoses[]): void;
    updateHeaderInfo(id: TIdType): void;
    isShowPreventPreeclampsia: boolean;
    diagnosesList: IMchc_Doctor_Diagnoses[];
    formChange(v: boolean): void;
    id?: TIdType;
    setDiagnosesWord(v: string): void;
    saveHeaderInfo(v: IMchc_Doctor_OutpatientHeaderInfo): void;
    diagnosesWord: string;
    getHighriskDiagnosis(v: TIdTypeCompatible): void;
}
declare function DoctorEnd_Initial(props: IDoctorEnd_InitialProps): React.JSX.Element;
export default DoctorEnd_Initial;
